Bug 1800228 - v4l-utils: FTBFS in Fedora rawhide/f32
Summary: v4l-utils: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: v4l-utils
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 20:20 UTC by Fedora Release Engineering
Modified: 2020-03-16 20:29 UTC (History)
3 users (show)

Fixed In Version: v4l-utils-1.18.0-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:15:17 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2020-02-06 20:20 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 20:20 UTC, Fedora Release Engineering
no flags Details
state.log (990 bytes, text/plain)
2020-02-06 20:20 UTC, Fedora Release Engineering
no flags Details
Fix s390 build (1.53 KB, patch)
2020-02-16 09:33 UTC, Sean Young
no flags Details | Diff

Description Fedora Release Engineering 2020-02-06 20:20:03 UTC
v4l-utils failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41322664


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix v4l-utils at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
v4l-utils will be orphaned. Before branching of Fedora 33,
v4l-utils will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 20:20:06 UTC
Created attachment 1661304 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 20:20:08 UTC
Created attachment 1661305 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 20:20:09 UTC
Created attachment 1661306 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:42:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:31:56 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Sean Young 2020-02-16 09:33:30 UTC
Created attachment 1663305 [details]
Fix s390 build

I've created a patch which I _think_ will resolve the problem (no s390x in my basement here). See also:

https://lore.kernel.org/linux-media/20200216091839.31183-1-sean@mess.org/T/#u

Comment 7 Sean Young 2020-03-09 14:14:52 UTC
This bug has been fixed upstream.

https://git.linuxtv.org/v4l-utils.git/commit/?id=afb123618b087f3ca2305b84fb004624662e52f0

That patch is correct, not the patch attached here in bugzilla.

Comment 8 Hans de Goede 2020-03-09 14:37:40 UTC
(In reply to Sean Young from comment #7)
> This bug has been fixed upstream.
> 
> https://git.linuxtv.org/v4l-utils.git/commit/
> ?id=afb123618b087f3ca2305b84fb004624662e52f0
> 
> That patch is correct, not the patch attached here in bugzilla.

Thank you for the patch, a fixed package has already been build, but something has gone wrong with the update in bodhi, causing this bug to not be updated, let me try and fix this on the bodhi side.

Comment 9 Hans de Goede 2020-03-09 15:14:29 UTC
Ok, bodhi should now automatically close this bug when the following update gets pushed to stable:

https://bodhi.fedoraproject.org/updates/FEDORA-2020-54bfce2f81

Comment 10 Fedora Update System 2020-03-16 20:15:17 UTC
man-pages-de-1.22-8.fc32, v4l-utils-1.18.0-4.fc32, w_scan-20170107-8.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-03-16 20:29:13 UTC
man-pages-de-1.22-8.fc32, v4l-utils-1.18.0-4.fc32, w_scan-20170107-8.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.